> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/mcp/exoclick-mcp-connecting-ai-client.md).

# Connecting AI client

## Prerequisites <a href="#prerequisites" id="prerequisites"></a>

Before connecting, make sure you have an active Exoclick [**advertiser**](/advertisers/advertisers-introduction.md) or [**publisher**](/publishers/publishers-introduction.md) account. If you don't have an account, you can sign up for free [**here.**](https://www.exoclick.com/signup/)

## Instructions <a href="#instructions" id="instructions"></a>

The ExoClick MCP Server URL is:

```
https://mcp.exoclick.com/mcp
```

Below are setup instructions for the most popular AI clients.

### Claude (Claude.ai and Claude Desktop) <a href="#claude-claudeai-and-claude-desktop" id="claude-claudeai-and-claude-desktop"></a>

Claude supports MCP connectors natively. To connect:

1. Open Claude, go to the **Customize** section and click **Connectors**.
2. Click the **+** icon to add a connector, then choose **Add Custom Connector**.
3. Enter a name and the URL: <https://mcp.exoclick.com/mcp>. ExoClick will be added to the list of connectors.
4. Click **Connect**. You will be redirected to the ExoClick admin panel to authorize access.
5. Once authorized, you will be returned to Claude and the connection will be active.

### ChatGPT <a href="#chatgpt" id="chatgpt"></a>

ChatGPT supports MCP connectors through its Plugins. To connect:

1. Open ChatGPT, go to **Settings**, then **Plugins**, and then **MCPs.**
2. Click **+Add Server**, then enter a name. &#x20;
3. Choose **Streamable HTTP** and add the URL: <https://mcp.exoclick.com/mcp>
4. Hit **Save,** go back to the Plugin menu, then click **Authenticate**. You will be redirected to the ExoClick admin panel to authorize access.
5. Once authorized, you will be returned to ChatGPT and the connection will be active.

{% hint style="info" %}
**Note:** there are a couple differences if you are using the Browser app:

1. You need to enable **Developer Mode** in order to add a custom MCP. You can enable this setting through the **Security & Login** settings.
2. MCPs are added directly through the Plugin menu by pressing the **+** icon.
   {% endhint %}

### Cursor <a href="#cursor" id="cursor"></a>

Cursor supports MCP connectors through its customize menu. To connect:

1. Open Cursor, go to **Customize**, click **MCPs** and then choose **New MCP server**.
2. Add the following object to your list of MCPs in the **mcp.json** file:&#x20;

```
"exoclick": {
      "url": "https://mcp.exoclick.com/mcp"
    }
```

3. Save the file. The list of MCPs will show the newly added ExoClick connector. Click the **Authorize** button to be redirected to the ExoClick admin panel and authorize access.
4. Once authorized, you will be returned to Cursor and the connection will be active.

### Claude Code <a href="#claude-code" id="claude-code"></a>

If you use Claude Code from the command line, you can add the ExoClick MCP server with a single command:

```
claude mcp add exoclick https://mcp.exoclick.com/mcp --transport http
```

The first time you use the ExoClick server in a session, Claude will automatically prompt you to authorise via the ExoClick admin panel. You can also authorise manually before first use:

1. Start an interactive session by running claude.
2. Run the `/mcp` command.
3. Select the ExoClick server.
4. Click Authorize.

### Other AI clients <a href="#other-ai-clients" id="other-ai-clients"></a>

| **Field**     | **Value**                                 |
| ------------- | ----------------------------------------- |
| Server URL    | <https://mcp.exoclick.com/mcp>            |
| Transport     | Streamable HTTP                           |
| Authorization | OAuth (redirects to ExoClick admin panel) |

ExoClick's MCP uses [Dynamic Client Registration](https://datatracker.ietf.org/doc/html/rfc7591) to issue **client IDs**. In order to obtain a client ID you need to make a call to <https://mcp.exoclick.com/register> with the following request body:&#x20;

```
{
    "redirect_uris": ["https://client.example.org/callback"],
    // Replace the above with the callback URI of your AI client
    "token_endpoint_auth_method": "none"
}
```

Once you have retrieved your client ID, update the .json file you use to manage your MCP connections to include this ID. Refer to your AI client's documentation for instructions on adding a custom MCP connector.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/mcp/exoclick-mcp-connecting-ai-client.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
